package edu.agh.sius.ejb;

import javax.ejb.CreateException;
import org.apache.log4j.Logger;
import javax.ejb.SessionBean;

/**
 * Fortune Session Bean
 *
 * @ejb:bean name="FortuneTellerSB"
 *	     display-name="Fortune Teller Session Bean"
 *	     type="Stateless"
 *	     transaction-type="Container"
 *	     jndi-name="ejb/fortune/FortuneTellerSB"
 *
 **/

public class FortuneTellerEJB extends AbstractSBBean implements SessionBean {

	private static Logger logger = Logger.getLogger("edu.agh.sius.fortune");

	/**
	* Create the Session Bean
	* @throws CreateException
	* @ejb:create-method view-type="remote"
	**/
	public void ejbCreate() throws CreateException {
		logger.debug("ejbCreate called");
	}

	/**
	 * Method returns a fortune
	 * @return a fortune as a String
	 * @ejb:interface-method view-type="remote"
	 **/
	public String getFortune() {
		logger.info("getFortuneCalled");
		return "dummyFortune";
	}

}
